summaryrefslogtreecommitdiff
path: root/tests/mv/trailing-slash
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/trailing-slash')
-rwxr-xr-xtests/mv/trailing-slash77
1 files changed, 0 insertions, 77 deletions
diff --git a/tests/mv/trailing-slash b/tests/mv/trailing-slash
deleted file mode 100755
index b734624..0000000
--- a/tests/mv/trailing-slash
+++ /dev/null
@@ -1,77 +0,0 @@
-#!/bin/sh
-# On some operating systems, e.g. SunOS-4.1.1_U1 on sun3x,
-# rename() doesn't accept trailing slashes.
-# Also, ensure that "mv dir non-exist-dir/" works.
-# Also, ensure that "cp dir non-exist-dir/" works.
-
-# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
-
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-# 02110-1301, USA.
-
-if test "$VERBOSE" = yes; then
- set -x
- mv --version
-fi
-
-pwd=`pwd`
-tmp=mv-tslash.$$
-trap 'status=$?; cd "$pwd" && exec 1>&2; rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-. $srcdir/../envvar-check
-
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-mkdir foo || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework' 1>&2
- exit 1
-fi
-
-fail=0
-
-mv foo/ bar || fail=1
-
-# mv and cp would misbehave for coreutils versions [5.3.0..5.97], 6.0 and 6.1
-for cmd in mv 'cp -r'; do
- for opt in '' -T -u; do
- rm -rf d e || framework_failure=1
- mkdir d || framework_failure=1
- if test $framework_failure = 1; then
- echo 'failure in testing framework'
- (exit 1); exit 1
- fi
-
- $cmd $opt d e/ || fail=1
- if test "$cmd" = mv; then
- test -d d && fail=1
- else
- test -d d || fail=1
- fi
- test -d e || fail=1
- done
-done
-
-# We would like the erroneous-looking "mv any non-dir/" to fail,
-# but with the current implementation, it depends on how the
-# underlying rename syscall handles the trailing slash.
-# It does fail, as desired, on recent Linux and Solaris systems.
-#touch a a2
-#mv a a2/ && fail=1
-
-(exit $fail); exit $fail